> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available exchange rates



## OpenAPI

````yaml get /v1/api/rates/date
openapi: 3.0.0
info:
  title: Corebanq - FX API
  description: API endpoints for managing currency exchange and FX tariffs
  version: 1.0.0
servers: []
security: []
paths:
  /v1/api/rates/date:
    get:
      summary: Get available exchange rates
      parameters:
        - name: base
          in: query
          schema:
            type: string
        - name: target
          in: query
          schema:
            type: string
        - name: date
          in: query
          schema:
            type: string
            format: date
        - name: type
          in: query
          schema:
            type: string
            enum:
              - BUY
              - SELL
      responses:
        '200':
          description: List of exchange rates
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CurrencyPair'
components:
  schemas:
    CurrencyPair:
      type: object
      properties:
        id:
          type: string
          format: uuid
        base_currency:
          type: string
        target_currency:
          type: string
        rate:
          type: number
        type:
          type: string
          enum:
            - BUY
            - SELL
        date:
          type: string
          format: date
        source:
          type: string

````